Ошибка Значение контролируемого свойства при подключении расширения Госконтракт

Программа выдает ошибку : Значение контролируемого свойства Режим совместимости у объекта не совпадает со значением в расширяемой конфигурации. Как исправить?

Помогла статья?

Получите еще секретный бонус и полный доступ к справочной системе БухЭксперт8 на 14 дней бесплатно

Пароль будет выслан на указанный email

Все комментарии (8)

  1. Тогда обратите внимание на Шаг 5 инструкции по расширению Госконтракт.
    Расширение выполнено для совместимости с Платформой 8.3.12

    Скорее всего, у вам нужно изменить в Конфигураторе Свойства расширения, как показано в инструкции.

  2. Привожу пример. У меня Платформа 8.3.16.1063 Бухгалтерия тестовая 3.0.73.38. Смотрю свойства совместимости основной конфигурации 8.3.12..

    1. Вот свойства совместимости основной конфигурации.

  3. Проверяю свойства совместимости у подключенного расширения.
    Тоже 8.3.12. Все совпадает. Поэтому ошибок не будет.

    1. Вот свойства совместимости расширения Госконтракт.

  4. Но если у вас конфигурация выше или ниже моей тестовой, то, скорее всего, свойства совместимости не совпадут и вам придется поменять их вручную.

    Вы посмотрите, что выставлено в свойствах совместимости основной конфигурации, например, 8.3.15 и выставите это же значение в свойствах совместимости расширения Госконтракт.

  5. Расширение это делалось в 2018 году.
    Но разработчики постоянно меняют режимы совместимости при выпусках новых Платформ и релизов конфигураций.
    Поэтому мы в инструкции показали, как исправить эту «ошибку», чтобы вы могли самостоятельно без помощи специалистов выполнить доработку.

    (!!!) Обратите внимание, что расширение Госконтракт работает только при добавлении дополнительного реквизита Идентификатор гос. контракта в справочник Договоры.
    Это сложное расширение.

Комментарии закрыты